Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### PShape
Examples |
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    shape(s, 10, 10, 80, 80);
Description | Datatype for storing shapes. Processing can currently load and display SVG (Scalable Vector Graphics) shapes. Before a shape is used, it must be loaded with the loadShape() function. The shape() function is used to draw the shape to the display window. The PShape object contain a group of methods, linked below, that can operate on the shape data. The loadShape() method supports SVG files created with Inkscape and Adobe Illustrator. It is not a full SVG implementation, but offers some straightforward support for handling vector data.
Fields |
width | Shape document width
height | Shape document height
Methods |
isVisible() | Returns a boolean value "true" if the image is set to be visible, "false" if not
setVisible() | Sets the shape to be visible or invisible
disableStyle() | Disables the shape's style data and uses Processing styles
enableStyle() | Enables the shape's style data and ignores the Processing styles
getChild() | Returns a child element of a shape as a PShape object
translate() | Displaces the shape
rotate() | Rotates the shape
rotateX() | Rotates the shape around the x-axis
rotateY() | Rotates the shape around the y-axis
rotateZ() | Rotates the shape around the z-axis
scale() | Increases and decreases the size of a shape
Constructor |
    PShape()
Usage | Web & Application
Related | shape() loadShape() shapeMode()

Updated on August 30, 2010 04:29:39pm EDT